﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

using INT_PT002.Forms;
using INT_PT002.DataStore;

namespace INT_PT002.Controls
{
    public partial class ControlMenuUserGroupEditor : UserControl
    {
        #region Field
        private FormMenu m_ParentForm;
        #endregion

        #region Constructor
        public ControlMenuUserGroupEditor(FormMenu parent)
        {
            InitializeComponent();

            this.ParentForm = parent;
            this.Initialize();
        }
        #endregion

        #region Property
        public FormMenu ParentForm
        {
            get { return this.m_ParentForm; }
            private set { this.m_ParentForm = value; }
        }
        #endregion

        #region Method
        private void Initialize()
        {
            this.smartGroupBox1.Text = "User > GroupEditor";
        }

        private void KeyboardClose()
        {
            this.smartKeyboard.Hide();

            this.groupBoxLevel1.FrameLineColor1 = Color.FromArgb(58, 110, 165);
            this.groupBoxLevel2.FrameLineColor1 = Color.FromArgb(58, 110, 165);
            this.groupBoxLevel3.FrameLineColor1 = Color.FromArgb(58, 110, 165);

            this.textBoxLevel1.Visible = false;
            this.textBoxLevel2.Visible = false;
            this.textBoxLevel3.Visible = false;

            this.groupBoxLevel1.Enabled = true;
            this.groupBoxLevel2.Enabled = true;
            this.groupBoxLevel3.Enabled = true;
            this.buttonSave.Enabled = true;
        }

        private void UpdateDisplay(UserGroup group, SystemConfiguration system)
        {
            this.groupBoxLevel1.Text = system.LEVEL1_NAME;
            this.groupBoxLevel2.Text = system.LEVEL2_NAME;
            this.groupBoxLevel3.Text = system.LEVEL3_NAME;

            this.groupBoxLevel1.FrameLineColor1 = Color.FromArgb(58, 110, 165);
            this.groupBoxLevel2.FrameLineColor1 = Color.FromArgb(58, 110, 165);
            this.groupBoxLevel3.FrameLineColor1 = Color.FromArgb(58, 110, 165);
            
            #region Level1
            this.checkBoxL1MainProductChange.Checked = group.Level1.IsMainDisplayProductChange;
            this.checkBoxL1MainWeightSetting.Checked = group.Level1.IsMainDisplayWeightSetting;
            this.checkBoxL1MainClear.Checked = group.Level1.IsMainDisplayClear;
            this.checkBoxL1MainSubMenu.Checked = group.Level1.IsMainDisplaySubMenu;

            this.checkBoxL1MenuProduct.Checked = group.Level1.IsMenuProduct;
            this.checkBoxL1MenuConfiguration.Checked = group.Level1.IsMenuConfiguration;
            this.checkBoxL1MenuCommunication.Checked = group.Level1.IsMenuCommunication;
            this.checkBoxL1MenuUserSetting.Checked = group.Level1.IsMenuUserSetting;
            this.checkBoxL1MenuUserGroupEditor.Checked = group.Level1.IsMenuUserGroupEditor;
            this.checkBoxL1MenuIOTest.Checked = group.Level1.IsMenuIOTest;
            this.checkBoxL1MenuMotorSetting.Checked = group.Level1.IsMenuMotorSetting;
            this.checkBoxL1MenuEquipmentLog.Checked = group.Level1.IsMenuEquipmentLog;
            this.checkBoxL1MenuCheckLog.Checked = group.Level1.IsMenuCheckLog;
            this.checkBoxL1MenuAlarmList.Checked = group.Level1.IsMenuAlarmList;
            this.checkBoxL1MenuInformation.Checked = group.Level1.IsMenuInformation;
            this.checkBoxL1MenuEquipmentSetting.Checked = group.Level1.IsMenuEquipmentSetting;
            this.checkBoxL1MenuTimeSetting.Checked = group.Level1.IsMenuTimeSetting;
            #endregion

            #region Level2
            this.checkBoxL2MainProductChange.Checked = group.Level2.IsMainDisplayProductChange;
            this.checkBoxL2MainWeightSetting.Checked = group.Level2.IsMainDisplayWeightSetting;
            this.checkBoxL2MainClear.Checked = group.Level2.IsMainDisplayClear;
            this.checkBoxL2MainSubMenu.Checked = group.Level2.IsMainDisplaySubMenu;

            this.checkBoxL2MenuProduct.Checked = group.Level2.IsMenuProduct;
            this.checkBoxL2MenuConfiguration.Checked = group.Level2.IsMenuConfiguration;
            this.checkBoxL2MenuCommunication.Checked = group.Level2.IsMenuCommunication;
            this.checkBoxL2MenuUserSetting.Checked = group.Level2.IsMenuUserSetting;
            this.checkBoxL2MenuUserGroupEditor.Checked = group.Level2.IsMenuUserGroupEditor;
            this.checkBoxL2MenuIOTest.Checked = group.Level2.IsMenuIOTest;
            this.checkBoxL2MenuMotorSetting.Checked = group.Level2.IsMenuMotorSetting;
            this.checkBoxL2MenuEquipmentLog.Checked = group.Level2.IsMenuEquipmentLog;
            this.checkBoxL2MenuCheckLog.Checked = group.Level2.IsMenuCheckLog;
            this.checkBoxL2MenuAlarmList.Checked = group.Level2.IsMenuAlarmList;
            this.checkBoxL2MenuInformation.Checked = group.Level2.IsMenuInformation;
            this.checkBoxL2MenuEquipmentSetting.Checked = group.Level2.IsMenuEquipmentSetting;
            this.checkBoxL2MenuTimeSetting.Checked = group.Level2.IsMenuTimeSetting;
            #endregion

            #region Level3
            this.checkBoxL3MainProductChange.Checked = group.Level3.IsMainDisplayProductChange;
            this.checkBoxL3MainWeightSetting.Checked = group.Level3.IsMainDisplayWeightSetting;
            this.checkBoxL3MainClear.Checked = group.Level3.IsMainDisplayClear;
            this.checkBoxL3MainSubMenu.Checked = group.Level3.IsMainDisplaySubMenu;

            this.checkBoxL3MenuProduct.Checked = group.Level3.IsMenuProduct;
            this.checkBoxL3MenuConfiguration.Checked = group.Level3.IsMenuConfiguration;
            this.checkBoxL3MenuCommunication.Checked = group.Level3.IsMenuCommunication;
            this.checkBoxL3MenuUserSetting.Checked = group.Level3.IsMenuUserSetting;
            this.checkBoxL3MenuUserGroupEditor.Checked = group.Level3.IsMenuUserGroupEditor;
            this.checkBoxL3MenuIOTest.Checked = group.Level3.IsMenuIOTest;
            this.checkBoxL3MenuMotorSetting.Checked = group.Level3.IsMenuMotorSetting;
            this.checkBoxL3MenuEquipmentLog.Checked = group.Level3.IsMenuEquipmentLog;
            this.checkBoxL3MenuCheckLog.Checked = group.Level3.IsMenuCheckLog;
            this.checkBoxL3MenuAlarmList.Checked = group.Level3.IsMenuAlarmList;
            this.checkBoxL3MenuInformation.Checked = group.Level3.IsMenuInformation;
            this.checkBoxL3MenuEquipmentSetting.Checked = group.Level3.IsMenuEquipmentSetting;
            this.checkBoxL3MenuTimeSetting.Checked = group.Level3.IsMenuTimeSetting;
            #endregion

            #region Default
            this.checkBoxDefaultMainProductChange.Checked = group.Default.IsMainDisplayProductChange;
            this.checkBoxDefaultMainWeightSetting.Checked = group.Default.IsMainDisplayWeightSetting;
            this.checkBoxDefaultMainClear.Checked = group.Default.IsMainDisplayClear;
            this.checkBoxDefaultMainSubMenu.Checked = group.Default.IsMainDisplaySubMenu;

            this.checkBoxDefaultMenuProduct.Checked = group.Default.IsMenuProduct;
            this.checkBoxDefaultMenuConfiguration.Checked = group.Default.IsMenuConfiguration;
            this.checkBoxDefaultMenuCommunication.Checked = group.Default.IsMenuCommunication;
            this.checkBoxDefaultMenuUserSetting.Checked = group.Default.IsMenuUserSetting;
            this.checkBoxDefaultMenuUserGroupEditor.Checked = group.Default.IsMenuUserGroupEditor;
            this.checkBoxDefaultMenuIOTest.Checked = group.Default.IsMenuIOTest;
            this.checkBoxDefaultMenuMotorSetting.Checked = group.Default.IsMenuMotorSetting;
            this.checkBoxDefaultMenuEquipmentLog.Checked = group.Default.IsMenuEquipmentLog;
            this.checkBoxDefaultMenuCheckLog.Checked = group.Default.IsMenuCheckLog;
            this.checkBoxDefaultMenuAlarmList.Checked = group.Default.IsMenuAlarmList;
            this.checkBoxDefaultMenuInformation.Checked = group.Default.IsMenuInformation;
            this.checkBoxDefaultMenuEquipmentSetting.Checked = group.Default.IsMenuEquipmentSetting;
            this.checkBoxDefaultMenuTimeSetting.Checked = group.Default.IsMenuTimeSetting;
            #endregion
        }

        public void DisplayRefresh()
        {
            this.UpdateDisplay(this.ParentForm.ParentForm.CurrentUserGroup, this.ParentForm.ParentForm.SystemConfig);

            this.buttonSave.Visible = false;
            this.buttonGroupNameChange.Visible = false;
        }
        #endregion

        #region Event Handler
        private void checkBox_Click(object sender, EventArgs e)
        {
            if (this.buttonSave.Visible == false)
                this.buttonSave.Visible = true;
        }
        private void groupBox_DoubleClick(object sender, EventArgs e)
        {
            SmartX.SmartGroupBox groupBox = sender as SmartX.SmartGroupBox;

            if (groupBox == this.groupBoxLevel1)
            {
                this.groupBoxLevel1.FrameLineColor1 = Color.FromArgb(0, 192, 0);
                this.groupBoxLevel2.FrameLineColor1 = Color.FromArgb(58, 110, 165);
                this.groupBoxLevel3.FrameLineColor1 = Color.FromArgb(58, 110, 165);
            }
            else if (groupBox == this.groupBoxLevel2)
            {
                this.groupBoxLevel1.FrameLineColor1 = Color.FromArgb(58, 110, 165);
                this.groupBoxLevel2.FrameLineColor1 = Color.FromArgb(0, 192, 0);
                this.groupBoxLevel3.FrameLineColor1 = Color.FromArgb(58, 110, 165);
            }
            else if (groupBox == this.groupBoxLevel3)
            {
                this.groupBoxLevel1.FrameLineColor1 = Color.FromArgb(58, 110, 165);
                this.groupBoxLevel2.FrameLineColor1 = Color.FromArgb(58, 110, 165);
                this.groupBoxLevel3.FrameLineColor1 = Color.FromArgb(0, 192, 0);
            }

            this.buttonGroupNameChange.Visible = true;
        }

        private void textBoxLevel1_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (e.KeyChar == '\r')
            {
                e.Handled = true;

                this.ParentForm.ParentForm.SystemConfig.LEVEL1_NAME = this.textBoxLevel1.Text;
                this.groupBoxLevel1.Text = this.textBoxLevel1.Text;
                this.ParentForm.ParentForm.SaveSystemConfigurationFile(this.ParentForm.ParentForm.SystemConfig);
                this.ParentForm.ParentForm.ChildFormMenu.Child_User_UserEditor.UpdateLevelNameDisplay(this.ParentForm.ParentForm.SystemConfig);
                this.KeyboardClose();
            }
            else if (e.KeyChar == 27)
            {
                e.Handled = true;

                this.UpdateDisplay(this.ParentForm.ParentForm.CurrentUserGroup, this.ParentForm.ParentForm.SystemConfig);
                this.KeyboardClose();
            }
            else if (e.KeyChar == '<' || e.KeyChar == '>' || e.KeyChar == '|' || e.KeyChar == '"' || e.KeyChar == '?'
                || e.KeyChar == '*' || e.KeyChar == ':' || e.KeyChar == '/' || e.KeyChar == '\\')
            {
                e.Handled = true;
            }
        }
        private void textBoxLevel2_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (e.KeyChar == '\r')
            {
                e.Handled = true;

                this.ParentForm.ParentForm.SystemConfig.LEVEL2_NAME = this.textBoxLevel2.Text;
                this.groupBoxLevel2.Text = this.textBoxLevel2.Text;
                this.ParentForm.ParentForm.SaveSystemConfigurationFile(this.ParentForm.ParentForm.SystemConfig);
                this.ParentForm.ParentForm.ChildFormMenu.Child_User_UserEditor.UpdateLevelNameDisplay(this.ParentForm.ParentForm.SystemConfig);
                this.KeyboardClose();
            }
            else if (e.KeyChar == 27)
            {
                e.Handled = true;

                this.UpdateDisplay(this.ParentForm.ParentForm.CurrentUserGroup, this.ParentForm.ParentForm.SystemConfig);
                this.KeyboardClose();
            }
            else if (e.KeyChar == '<' || e.KeyChar == '>' || e.KeyChar == '|' || e.KeyChar == '"' || e.KeyChar == '?'
                || e.KeyChar == '*' || e.KeyChar == ':' || e.KeyChar == '/' || e.KeyChar == '\\')
            {
                e.Handled = true;
            }
        }
        private void textBoxLevel3_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (e.KeyChar == '\r')
            {
                e.Handled = true;

                this.ParentForm.ParentForm.SystemConfig.LEVEL3_NAME = this.textBoxLevel3.Text;
                this.groupBoxLevel3.Text = this.textBoxLevel3.Text;
                this.ParentForm.ParentForm.SaveSystemConfigurationFile(this.ParentForm.ParentForm.SystemConfig);
                this.ParentForm.ParentForm.ChildFormMenu.Child_User_UserEditor.UpdateLevelNameDisplay(this.ParentForm.ParentForm.SystemConfig);
                this.KeyboardClose();
            }
            else if (e.KeyChar == 27)
            {
                e.Handled = true;

                this.UpdateDisplay(this.ParentForm.ParentForm.CurrentUserGroup, this.ParentForm.ParentForm.SystemConfig);
                this.KeyboardClose();
            }
            else if (e.KeyChar == '<' || e.KeyChar == '>' || e.KeyChar == '|' || e.KeyChar == '"' || e.KeyChar == '?'
                || e.KeyChar == '*' || e.KeyChar == ':' || e.KeyChar == '/' || e.KeyChar == '\\')
            {
                e.Handled = true;
            }
        }
        private void smartKeyboard_OnXKeyClick(object sender, EventArgs e)
        {
            this.UpdateDisplay(this.ParentForm.ParentForm.CurrentUserGroup, this.ParentForm.ParentForm.SystemConfig);
            this.KeyboardClose();        
        }

        private void buttonGroupNameChange_Click(object sender, EventArgs e)
        {
            this.smartKeyboard.KeyboardType = SmartX.SmartKeyboard.KEYBOARDTYPES.NORMAL;
            this.smartKeyboard.Location = new Point(5, 83);
            this.smartKeyboard.Size = new Size(897, 352);
            this.smartKeyboard.Hide();

            if (this.groupBoxLevel1.FrameLineColor1 == Color.FromArgb(0, 192, 0))
            {
                this.textBoxLevel1.Visible = true;
                this.smartKeyboard.TargetInputObject = this.textBoxLevel1;
                this.textBoxLevel1.Select(this.textBoxLevel1.Text.Length, 0);
            }
            else if (this.groupBoxLevel2.FrameLineColor1 == Color.FromArgb(0, 192, 0))
            {
                this.textBoxLevel2.Visible = true;
                this.smartKeyboard.TargetInputObject = this.textBoxLevel2;
                this.textBoxLevel2.Select(this.textBoxLevel2.Text.Length, 0);
            }
            else if (this.groupBoxLevel3.FrameLineColor1 == Color.FromArgb(0, 192, 0))
            {
                this.textBoxLevel3.Visible = true;
                this.smartKeyboard.TargetInputObject = this.textBoxLevel3;
                this.textBoxLevel3.Select(this.textBoxLevel3.Text.Length, 0);
            }
            this.smartKeyboard.Show();

            this.groupBoxLevel1.Enabled = false;
            this.groupBoxLevel2.Enabled = false;
            this.groupBoxLevel3.Enabled = false;
            this.buttonSave.Enabled = false;
            this.buttonGroupNameChange.Visible = false;
        }

        private void buttonSave_Click(object sender, EventArgs e)
        {
            #region Level1
            this.ParentForm.ParentForm.CurrentUserGroup.Level1.IsMainDisplayProductChange = this.checkBoxL1MainProductChange.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level1.IsMainDisplayWeightSetting = this.checkBoxL1MainWeightSetting.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level1.IsMainDisplayClear = this.checkBoxL1MainClear.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level1.IsMainDisplaySubMenu = this.checkBoxL1MainSubMenu.Checked;

            this.ParentForm.ParentForm.CurrentUserGroup.Level1.IsMenuProduct = this.checkBoxL1MenuProduct.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level1.IsMenuConfiguration = this.checkBoxL1MenuConfiguration.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level1.IsMenuCommunication = this.checkBoxL1MenuCommunication.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level1.IsMenuUserSetting = this.checkBoxL1MenuUserSetting.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level1.IsMenuUserGroupEditor = this.checkBoxL1MenuUserGroupEditor.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level1.IsMenuIOTest = this.checkBoxL1MenuIOTest.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level1.IsMenuMotorSetting = this.checkBoxL1MenuMotorSetting.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level1.IsMenuEquipmentLog = this.checkBoxL1MenuEquipmentLog.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level1.IsMenuCheckLog = this.checkBoxL1MenuCheckLog.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level1.IsMenuAlarmList = this.checkBoxL1MenuAlarmList.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level1.IsMenuInformation = this.checkBoxL1MenuInformation.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level1.IsMenuEquipmentSetting = this.checkBoxL1MenuEquipmentSetting.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level1.IsMenuTimeSetting = this.checkBoxL1MenuTimeSetting.Checked;
            #endregion

            #region Level2
            this.ParentForm.ParentForm.CurrentUserGroup.Level2.IsMainDisplayProductChange = this.checkBoxL2MainProductChange.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level2.IsMainDisplayWeightSetting = this.checkBoxL2MainWeightSetting.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level2.IsMainDisplayClear = this.checkBoxL2MainClear.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level2.IsMainDisplaySubMenu = this.checkBoxL2MainSubMenu.Checked;

            this.ParentForm.ParentForm.CurrentUserGroup.Level2.IsMenuProduct = this.checkBoxL2MenuProduct.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level2.IsMenuConfiguration = this.checkBoxL2MenuConfiguration.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level2.IsMenuCommunication = this.checkBoxL2MenuCommunication.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level2.IsMenuUserSetting = this.checkBoxL2MenuUserSetting.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level2.IsMenuUserGroupEditor = this.checkBoxL2MenuUserGroupEditor.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level2.IsMenuIOTest = this.checkBoxL2MenuIOTest.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level2.IsMenuMotorSetting = this.checkBoxL2MenuMotorSetting.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level2.IsMenuEquipmentLog = this.checkBoxL2MenuEquipmentLog.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level2.IsMenuCheckLog = this.checkBoxL2MenuCheckLog.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level2.IsMenuAlarmList = this.checkBoxL2MenuAlarmList.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level2.IsMenuInformation = this.checkBoxL2MenuInformation.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level2.IsMenuEquipmentSetting = this.checkBoxL2MenuEquipmentSetting.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level2.IsMenuTimeSetting = this.checkBoxL2MenuTimeSetting.Checked;
            #endregion

            #region Level3
            this.ParentForm.ParentForm.CurrentUserGroup.Level3.IsMainDisplayProductChange = this.checkBoxL3MainProductChange.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level3.IsMainDisplayWeightSetting = this.checkBoxL3MainWeightSetting.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level3.IsMainDisplayClear = this.checkBoxL3MainClear.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level3.IsMainDisplaySubMenu = this.checkBoxL3MainSubMenu.Checked;

            this.ParentForm.ParentForm.CurrentUserGroup.Level3.IsMenuProduct = this.checkBoxL3MenuProduct.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level3.IsMenuConfiguration = this.checkBoxL3MenuConfiguration.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level3.IsMenuCommunication = this.checkBoxL3MenuCommunication.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level3.IsMenuUserSetting = this.checkBoxL3MenuUserSetting.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level3.IsMenuUserGroupEditor = this.checkBoxL3MenuUserGroupEditor.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level3.IsMenuIOTest = this.checkBoxL3MenuIOTest.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level3.IsMenuMotorSetting = this.checkBoxL3MenuMotorSetting.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level3.IsMenuEquipmentLog = this.checkBoxL3MenuEquipmentLog.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level3.IsMenuCheckLog = this.checkBoxL3MenuCheckLog.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level3.IsMenuAlarmList = this.checkBoxL3MenuAlarmList.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level3.IsMenuInformation = this.checkBoxL3MenuInformation.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level3.IsMenuEquipmentSetting = this.checkBoxL3MenuEquipmentSetting.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Level3.IsMenuTimeSetting = this.checkBoxL3MenuTimeSetting.Checked;
            #endregion

            #region Default
            this.ParentForm.ParentForm.CurrentUserGroup.Default.IsMainDisplayProductChange = this.checkBoxDefaultMainProductChange.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Default.IsMainDisplayWeightSetting = this.checkBoxDefaultMainWeightSetting.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Default.IsMainDisplayClear = this.checkBoxDefaultMainClear.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Default.IsMainDisplaySubMenu = this.checkBoxDefaultMainSubMenu.Checked;

            this.ParentForm.ParentForm.CurrentUserGroup.Default.IsMenuProduct = this.checkBoxDefaultMenuProduct.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Default.IsMenuConfiguration = this.checkBoxDefaultMenuConfiguration.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Default.IsMenuCommunication = this.checkBoxDefaultMenuCommunication.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Default.IsMenuUserSetting = this.checkBoxDefaultMenuUserSetting.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Default.IsMenuUserGroupEditor = this.checkBoxDefaultMenuUserGroupEditor.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Default.IsMenuIOTest = this.checkBoxDefaultMenuIOTest.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Default.IsMenuMotorSetting = this.checkBoxDefaultMenuMotorSetting.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Default.IsMenuEquipmentLog = this.checkBoxDefaultMenuEquipmentLog.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Default.IsMenuCheckLog = this.checkBoxDefaultMenuCheckLog.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Default.IsMenuAlarmList = this.checkBoxDefaultMenuAlarmList.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Default.IsMenuInformation = this.checkBoxDefaultMenuInformation.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Default.IsMenuEquipmentSetting = this.checkBoxDefaultMenuEquipmentSetting.Checked;
            this.ParentForm.ParentForm.CurrentUserGroup.Default.IsMenuTimeSetting = this.checkBoxDefaultMenuTimeSetting.Checked;
            #endregion

            this.ParentForm.ParentForm.SaveUserGroupFile(this.ParentForm.ParentForm.CurrentUserGroup);

            this.buttonSave.Visible = false;
        }
        #endregion
    }
}
